summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
Diffstat (limited to 'graphics')
-rw-r--r--graphics/ART/ART.SlackBuild2
-rw-r--r--graphics/ART/ART.info6
-rw-r--r--graphics/ART/README3
-rw-r--r--graphics/SweetHome3D/SweetHome3D.SlackBuild2
-rw-r--r--graphics/SweetHome3D/SweetHome3D.info14
-rw-r--r--graphics/SweetHome3D/SweetHome3DIcon.pngbin29519 -> 0 bytes
-rw-r--r--graphics/chafa/README3
-rw-r--r--graphics/chafa/chafa.SlackBuild125
-rw-r--r--graphics/chafa/chafa.info10
-rw-r--r--graphics/chafa/slack-desc19
-rw-r--r--graphics/converseen/converseen.SlackBuild2
-rw-r--r--graphics/converseen/converseen.info6
-rw-r--r--graphics/implot/CMakeLists.txt52
-rw-r--r--graphics/implot/README7
-rw-r--r--graphics/implot/implot.SlackBuild108
-rw-r--r--graphics/implot/implot.info10
-rw-r--r--graphics/implot/slack-desc19
-rw-r--r--graphics/mangohud/README2
-rw-r--r--graphics/mangohud/doinst.sh5
-rw-r--r--graphics/mangohud/mangohud.SlackBuild13
-rw-r--r--graphics/mangohud/mangohud.info14
-rw-r--r--graphics/mangohud/meson594.patch11
-rw-r--r--graphics/mangohud/slack-desc2
-rw-r--r--graphics/nsxiv/nsxiv.SlackBuild2
-rw-r--r--graphics/nsxiv/nsxiv.info6
-rw-r--r--graphics/opencolorio/opencolorio.SlackBuild2
-rw-r--r--graphics/opencolorio/opencolorio.info6
-rw-r--r--graphics/openimageio/openimageio.SlackBuild13
-rw-r--r--graphics/openimageio/openimageio.info10
-rw-r--r--graphics/pdf2png/README12
-rw-r--r--graphics/pdf2png/pdf2png.SlackBuild12
-rw-r--r--graphics/pdf2png/pdf2png.info6
-rw-r--r--graphics/pdf2png/slack-desc2
-rw-r--r--graphics/rawtherapee-haldclut/README6
-rw-r--r--graphics/rawtherapee-haldclut/rawtherapee-haldclut.SlackBuild72
-rw-r--r--graphics/rawtherapee-haldclut/rawtherapee-haldclut.info10
-rw-r--r--graphics/rawtherapee-haldclut/slack-desc19
-rw-r--r--graphics/ristretto/ristretto.SlackBuild9
-rw-r--r--graphics/ristretto/ristretto.info6
-rw-r--r--graphics/scantailor-advanced/scantailor-advanced.SlackBuild13
-rw-r--r--graphics/scantailor-advanced/scantailor-advanced.info8
-rw-r--r--graphics/scantailor-advanced/slack-desc2
-rw-r--r--graphics/synfig/README8
-rw-r--r--graphics/synfig/slack-desc19
-rw-r--r--graphics/synfig/synfig.SlackBuild105
-rw-r--r--graphics/synfig/synfig.info10
-rw-r--r--graphics/synfigstudio/README8
-rw-r--r--graphics/synfigstudio/doinst.sh3
-rw-r--r--graphics/synfigstudio/douninst.sh1
-rw-r--r--graphics/synfigstudio/slack-desc19
-rw-r--r--graphics/synfigstudio/synfigstudio.SlackBuild108
-rw-r--r--graphics/synfigstudio/synfigstudio.info10
-rw-r--r--graphics/tuxpaint/README7
-rw-r--r--graphics/tuxpaint/tuxpaint.SlackBuild7
-rw-r--r--graphics/tuxpaint/tuxpaint_SDL2_Pango.patch19
-rw-r--r--graphics/vuescan/vuescan.SlackBuild4
-rw-r--r--graphics/vuescan/vuescan.info6
-rw-r--r--graphics/yacreader/yacreader.SlackBuild4
-rw-r--r--graphics/yacreader/yacreader.info6
59 files changed, 895 insertions, 100 deletions
diff --git a/graphics/ART/ART.SlackBuild b/graphics/ART/ART.SlackBuild
index 86a323f996..aa5b1877f2 100644
--- a/graphics/ART/ART.SlackBuild
+++ b/graphics/ART/ART.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=ART
-VERSION=${VERSION:-1.15}
+VERSION=${VERSION:-1.16.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
diff --git a/graphics/ART/ART.info b/graphics/ART/ART.info
index 21bfe8dad9..e21ca69d53 100644
--- a/graphics/ART/ART.info
+++ b/graphics/ART/ART.info
@@ -1,8 +1,8 @@
PRGNAM="ART"
-VERSION="1.15"
+VERSION="1.16.1"
HOMEPAGE="https://bitbucket.org/agriggio/art/wiki/Home"
-DOWNLOAD="https://bitbucket.org/agriggio/art/downloads/ART-1.15.tar.xz"
-MD5SUM="d702689b10bfd86c50f89cc2b88a8ff8"
+DOWNLOAD="https://bitbucket.org/agriggio/art/downloads/ART-1.16.1.tar.xz"
+MD5SUM="118936dd56d4fb1dc06b19b0f4dde303"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/graphics/ART/README b/graphics/ART/README
index a5313ca0e2..131257b2e8 100644
--- a/graphics/ART/README
+++ b/graphics/ART/README
@@ -6,5 +6,8 @@ and quality of RawTherapee. Some features have been added too, including
local editing and masks, a perspective correction tool, and better
metadata handling.
+opencolorio is a optional but highly recommended dependency to add
+support for ACES CLF LUTs.
+
rawtherapee-haldclut is an optional dependency, which adds film
simulations to both ART and RawTherapee.
diff --git a/graphics/SweetHome3D/SweetHome3D.SlackBuild b/graphics/SweetHome3D/SweetHome3D.SlackBuild
index a20506cd17..ffcd9b003d 100644
--- a/graphics/SweetHome3D/SweetHome3D.SlackBuild
+++ b/graphics/SweetHome3D/SweetHome3D.SlackBuild
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=SweetHome3D
-VERSION=${VERSION:-6.6}
+VERSION=${VERSION:-7.0.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
diff --git a/graphics/SweetHome3D/SweetHome3D.info b/graphics/SweetHome3D/SweetHome3D.info
index 968ac7f820..37add777e0 100644
--- a/graphics/SweetHome3D/SweetHome3D.info
+++ b/graphics/SweetHome3D/SweetHome3D.info
@@ -1,10 +1,10 @@
PRGNAM="SweetHome3D"
-VERSION="6.6"
+VERSION="7.0.2"
HOMEPAGE="http://www.sweethome3d.com/"
-DOWNLOAD="http://sourceforge.net/projects/sweethome3d/files/SweetHome3D/SweetHome3D-6.6/SweetHome3D-6.6-linux-x86.tgz"
-MD5SUM="d66d9afbbcf2c8e8722e77c5090b1c4c"
-DOWNLOAD_x86_64="http://sourceforge.net/projects/sweethome3d/files/SweetHome3D/SweetHome3D-6.6/SweetHome3D-6.6-linux-x64.tgz"
-MD5SUM_x86_64="299be9d6ec9e6c2f939bfd88b200dc04"
+DOWNLOAD="http://sourceforge.net/projects/sweethome3d/files/SweetHome3D/SweetHome3D-7.0.2/SweetHome3D-7.0.2-linux-x86.tgz"
+MD5SUM="72c6f1c6812944868c4635bd3c8fd234"
+DOWNLOAD_x86_64="http://sourceforge.net/projects/sweethome3d/files/SweetHome3D/SweetHome3D-7.0.2/SweetHome3D-7.0.2-linux-x64.tgz"
+MD5SUM_x86_64="bde121dd25c679280e76ac6071b811ba"
REQUIRES="zulu-openjdk8"
-MAINTAINER="Edward W. Koenig"
-EMAIL="kingbeowulf@linuxgalaxy.org"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/graphics/SweetHome3D/SweetHome3DIcon.png b/graphics/SweetHome3D/SweetHome3DIcon.png
deleted file mode 100644
index 7cb7a0e4cb..0000000000
--- a/graphics/SweetHome3D/SweetHome3DIcon.png
+++ /dev/null
Binary files differ
diff --git a/graphics/chafa/README b/graphics/chafa/README
new file mode 100644
index 0000000000..d2542a50ff
--- /dev/null
+++ b/graphics/chafa/README
@@ -0,0 +1,3 @@
+chafa is a tool that gives reasonable approximations of
+pictures and animations in the comfort of your favorite
+terminal emulator.
diff --git a/graphics/chafa/chafa.SlackBuild b/graphics/chafa/chafa.SlackBuild
new file mode 100644
index 0000000000..84d146cdd1
--- /dev/null
+++ b/graphics/chafa/chafa.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/bash
+
+# Slackware build script for chafa
+
+# Copyright 2022 Vijay Marcel
+
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=chafa
+VERSION=${VERSION:-1.12.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-man \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared=yes \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+/sbin/ldconfig
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING HACKING NEWS README README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/chafa/chafa.info b/graphics/chafa/chafa.info
new file mode 100644
index 0000000000..ac4517c865
--- /dev/null
+++ b/graphics/chafa/chafa.info
@@ -0,0 +1,10 @@
+PRGNAM="chafa"
+VERSION="1.12.3"
+HOMEPAGE="https://hpjansson.org/chafa"
+DOWNLOAD="https://hpjansson.org/chafa/releases/chafa-1.12.3.tar.xz"
+MD5SUM="3bb071aad03b85f9d7d1eb92a3a140a0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/graphics/chafa/slack-desc b/graphics/chafa/slack-desc
new file mode 100644
index 0000000000..094a2fbf1f
--- /dev/null
+++ b/graphics/chafa/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+chafa: chafa (Terminal ASCII Art)
+chafa:
+chafa: chafa is a tool that gives reasonable approximations of
+chafa: pictures and animations in the comfort of your favorite
+chafa: terminal emulator.
+chafa:
+chafa: Homepage: https://hpjansson.org/chafa
+chafa:
+chafa:
+chafa:
+chafa:
diff --git a/graphics/converseen/converseen.SlackBuild b/graphics/converseen/converseen.SlackBuild
index 97f2052f53..d9a26965b3 100644
--- a/graphics/converseen/converseen.SlackBuild
+++ b/graphics/converseen/converseen.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=converseen
-VERSION=${VERSION:-0.9.9.6}
+VERSION=${VERSION:-0.9.9.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
diff --git a/graphics/converseen/converseen.info b/graphics/converseen/converseen.info
index 7b482f70f2..6ca779bcb1 100644
--- a/graphics/converseen/converseen.info
+++ b/graphics/converseen/converseen.info
@@ -1,8 +1,8 @@
PRGNAM="converseen"
-VERSION="0.9.9.6"
+VERSION="0.9.9.7"
HOMEPAGE="https://converseen.fasterland.net/"
-DOWNLOAD="https://downloads.sourceforge.net/converseen/converseen-0.9.9.6.tar.bz2"
-MD5SUM="25f7d89189471b59b11f11c7dd3fc83a"
+DOWNLOAD="https://downloads.sourceforge.net/converseen/converseen-0.9.9.7.tar.bz2"
+MD5SUM="6e54df6d9c4ee8c1587059baeb1e0b36"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/graphics/implot/CMakeLists.txt b/graphics/implot/CMakeLists.txt
new file mode 100644
index 0000000000..6807c550d7
--- /dev/null
+++ b/graphics/implot/CMakeLists.txt
@@ -0,0 +1,52 @@
+cmake_minimum_required(VERSION 3.8)
+project(implot CXX)
+
+find_package(imgui CONFIG REQUIRED)
+get_target_property(IMGUI_INCLUDE_DIRS imgui::imgui
+ INTERFACE_INCLUDE_DIRECTORIES
+)
+
+set(CMAKE_DEBUG_POSTFIX d)
+
+add_library(${PROJECT_NAME} "")
+add_library(${PROJECT_NAME}::${PROJECT_NAME} ALIAS ${PROJECT_NAME})
+target_compile_features(${PROJECT_NAME} PUBLIC cxx_std_11)
+target_include_directories(
+ ${PROJECT_NAME}
+ PUBLIC
+ $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
+ $<INSTALL_INTERFACE:include>
+ PRIVATE
+ ${IMGUI_INCLUDE_DIRS}
+)
+
+target_sources(
+ ${PROJECT_NAME}
+ PRIVATE
+ ${CMAKE_CURRENT_SOURCE_DIR}/implot.cpp
+ ${CMAKE_CURRENT_SOURCE_DIR}/implot_items.cpp
+ ${CMAKE_CURRENT_SOURCE_DIR}/implot_demo.cpp
+)
+
+install(
+ TARGETS ${PROJECT_NAME}
+ EXPORT ${PROJECT_NAME}_target
+ ARCHIVE DESTINATION lib
+ LIBRARY DESTINATION lib
+ RUNTIME DESTINATION bin
+)
+
+if(NOT IMPLOT_SKIP_HEADERS)
+ install(FILES
+ ${CMAKE_CURRENT_SOURCE_DIR}/implot.h
+ ${CMAKE_CURRENT_SOURCE_DIR}/implot_internal.h
+ DESTINATION include
+ )
+endif()
+
+install(
+ EXPORT ${PROJECT_NAME}_target
+ NAMESPACE ${PROJECT_NAME}::
+ FILE ${PROJECT_NAME}-config.cmake
+ DESTINATION share/${PROJECT_NAME}
+)
diff --git a/graphics/implot/README b/graphics/implot/README
new file mode 100644
index 0000000000..cb96f0c13a
--- /dev/null
+++ b/graphics/implot/README
@@ -0,0 +1,7 @@
+ImPlot is an immediate mode, GPU accelerated plotting library for Dear
+ImGui. It aims to provide a first-class API that ImGui fans will love.
+ImPlot is well suited for visualizing program data in real-time or
+creating interactive plots, and requires minimal code to integrate.
+Just like ImGui, it does not burden the end user with GUI state
+management, avoids STL containers and C++ headers, and has no external
+dependencies except for ImGui itself.
diff --git a/graphics/implot/implot.SlackBuild b/graphics/implot/implot.SlackBuild
new file mode 100644
index 0000000000..4e4cfad48f
--- /dev/null
+++ b/graphics/implot/implot.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/bash
+
+# Slackware build script for implot
+
+# Copyright 2022 Steven Voges <Oregon, USA>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=implot
+VERSION=${VERSION:-0.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+cp $CWD/CMakeLists.txt .
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+if [ "$LIBDIRSUFFIX" != "" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib${LIBDIRSUFFIX}
+ sed -i "s/\/lib\//\/lib${LIBDIRSUFFIX}\//g" $PKG/usr/share/$PRGNAM/$PRGNAM-config-release.cmake
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ *.md LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/implot/implot.info b/graphics/implot/implot.info
new file mode 100644
index 0000000000..7649e37d63
--- /dev/null
+++ b/graphics/implot/implot.info
@@ -0,0 +1,10 @@
+PRGNAM="implot"
+VERSION="0.14"
+HOMEPAGE="https://github.com/epezent/implot"
+DOWNLOAD="https://github.com/epezent/implot/archive/v0.14/implot-0.14.tar.gz"
+MD5SUM="5da1f40184dc68b3054c59e441b7f7b9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="imgui"
+MAINTAINER="Steven Voges"
+EMAIL="svoges.sbo@gmail.com"
diff --git a/graphics/implot/slack-desc b/graphics/implot/slack-desc
new file mode 100644
index 0000000000..02d23a0885
--- /dev/null
+++ b/graphics/implot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+implot: implot (Plotting Library)
+implot:
+implot: Immediate Mode Plotting
+implot:
+implot: Homepage: https://github.com/epezent/implot
+implot:
+implot:
+implot:
+implot:
+implot:
+implot:
diff --git a/graphics/mangohud/README b/graphics/mangohud/README
index e9caaf0449..86a13f46e6 100644
--- a/graphics/mangohud/README
+++ b/graphics/mangohud/README
@@ -14,7 +14,7 @@ the build script.
This SlackBuild defaults to building mangoapp as well. To
disable this behavior, pass MANGOAPP=false to the build
script. This removes the dependency on glfw3 and
-nlohmann_json's include.zip
+nlohmann_json.
If you would like multilib support, pass COMPAT32=yes to
the build script. Please note that this only adds 32bit
diff --git a/graphics/mangohud/doinst.sh b/graphics/mangohud/doinst.sh
new file mode 100644
index 0000000000..4110f5514d
--- /dev/null
+++ b/graphics/mangohud/doinst.sh
@@ -0,0 +1,5 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/mangohud/mangohud.SlackBuild b/graphics/mangohud/mangohud.SlackBuild
index f087509562..72796e07bb 100644
--- a/graphics/mangohud/mangohud.SlackBuild
+++ b/graphics/mangohud/mangohud.SlackBuild
@@ -26,8 +26,8 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=mangohud
SRCNAM=MangoHud
-VERSION=${VERSION:-0.6.7.1}
-SRCVER=${SRCVER:-0.6.7-1}
+VERSION=${VERSION:-0.6.8}
+SRCVER=${SRCVER:-0.6.8}
IMGUIVER=${IMGUIVER:-1.81}
SPDLOGVER=${SPDLOGVER:-1.8.5}
BUILD=${BUILD:-1}
@@ -82,18 +82,19 @@ tar xvf $CWD/imgui-$IMGUIVER.tar.gz
unzip $CWD/imgui_$IMGUIVER-1_patch.zip
tar xvf $CWD/spdlog-$SPDLOGVER.tar.gz
unzip $CWD/spdlog_$SPDLOGVER-1_patch.zip
-if [ "$MANGOAPP" = "true" ]; then
- unzip $CWD/include.zip -d nlohmann_json-3.10.5
-fi
cd ..
chown -R root:root .
+#Slackware 15.0 ships meson 59.4, and mangohud requires 60.0, so we patch it.
+patch -p0 <$CWD/meson594.patch
+
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
mkdir build
cd build
CFLAGS="$SLKCFLAGS" \
@@ -155,6 +156,8 @@ rm -rf $PKG/usr/share/doc
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/mangohud/mangohud.info b/graphics/mangohud/mangohud.info
index c67b250176..087dc7d59e 100644
--- a/graphics/mangohud/mangohud.info
+++ b/graphics/mangohud/mangohud.info
@@ -1,20 +1,18 @@
PRGNAM="mangohud"
-VERSION="0.6.7.1"
+VERSION="0.6.8"
HOMEPAGE="https://github.com/flightlessmango/MangoHud"
-DOWNLOAD="https://github.com/flightlessmango/MangoHud/archive/v0.6.7-1/MangoHud-0.6.7-1.tar.gz \
+DOWNLOAD="https://github.com/flightlessmango/MangoHud/archive/v0.6.8/MangoHud-0.6.8.tar.gz \
https://github.com/ocornut/imgui/archive/v1.81/imgui-1.81.tar.gz \
https://github.com/mesonbuild/wrapdb/releases/download/imgui_1.81-1/imgui_1.81-1_patch.zip \
https://github.com/gabime/spdlog/archive/v1.8.5/spdlog-1.8.5.tar.gz \
- https://github.com/mesonbuild/wrapdb/releases/download/spdlog_1.8.5-1/spdlog_1.8.5-1_patch.zip \
- https://github.com/nlohmann/json/releases/download/v3.10.5/include.zip"
-MD5SUM="61f3a5e392cb08fc1c263ea89781b0d4 \
+ https://github.com/mesonbuild/wrapdb/releases/download/spdlog_1.8.5-1/spdlog_1.8.5-1_patch.zip"
+MD5SUM="414f8b321ec9e548e4f9ebed4f0d645c \
9b48ac38829b538233f99c0aa8cacf50 \
ea266ae77ac14290ceb2eafa56c1de83 \
8755cdbc857794730a022722a66d431a \
- 73a3c3149a4aa2b105aeef3a1d45bcb0 \
- 3cea575f0b559e2609507a5ee6469dea"
+ 73a3c3149a4aa2b105aeef3a1d45bcb0"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="glfw3 %README%"
+REQUIRES="glfw3 nlohmann_json %README%"
MAINTAINER="Steven Voges"
EMAIL="svoges.sbo@gmail.com"
diff --git a/graphics/mangohud/meson594.patch b/graphics/mangohud/meson594.patch
new file mode 100644
index 0000000000..faf9058b65
--- /dev/null
+++ b/graphics/mangohud/meson594.patch
@@ -0,0 +1,11 @@
+--- meson.build 2022-07-31 18:27:11.000000000 -0700
++++ meson.build 2022-08-14 01:07:17.385862414 -0700
+@@ -2,7 +2,7 @@
+ ['c', 'cpp'],
+ version : 'v0.6.8',
+ license : 'MIT',
+- meson_version: '>=0.60.0',
++ meson_version: '>=0.59.4',
+ default_options : ['buildtype=release', 'c_std=c99', 'cpp_std=c++14', 'warning_level=2']
+ )
+
diff --git a/graphics/mangohud/slack-desc b/graphics/mangohud/slack-desc
index 28ac83f9e1..e8c616c788 100644
--- a/graphics/mangohud/slack-desc
+++ b/graphics/mangohud/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-mangohud: mangohud (Vulkan/OpenGL Overlay)
+mangohud: mangohud (Performance Overlay)
mangohud:
mangohud: MangoHud is a Vulkan and OpenGL overlay for monitoring FPS,
mangohud: temperatures, CPU/GPU load and more.
diff --git a/graphics/nsxiv/nsxiv.SlackBuild b/graphics/nsxiv/nsxiv.SlackBuild
index 7201873774..d291c756af 100644
--- a/graphics/nsxiv/nsxiv.SlackBuild
+++ b/graphics/nsxiv/nsxiv.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=nsxiv
-VERSION=${VERSION:-29}
+VERSION=${VERSION:-30}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
diff --git a/graphics/nsxiv/nsxiv.info b/graphics/nsxiv/nsxiv.info
index bf134e3490..2a76a4334f 100644
--- a/graphics/nsxiv/nsxiv.info
+++ b/graphics/nsxiv/nsxiv.info
@@ -1,8 +1,8 @@
PRGNAM="nsxiv"
-VERSION="29"
+VERSION="30"
HOMEPAGE="https://github.com/nsxiv/"
-DOWNLOAD="https://github.com/nsxiv/nsxiv/archive/refs/tags/v29/nsxiv-29.tar.gz"
-MD5SUM="931f52f1b28ca398cd02be3669ec385d"
+DOWNLOAD="https://github.com/nsxiv/nsxiv/archive/refs/tags/v30/nsxiv-30.tar.gz"
+MD5SUM="4cd9c45cc1c2bbf3950bfe413e214bd2"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="imlib2"
diff --git a/graphics/opencolorio/opencolorio.SlackBuild b/graphics/opencolorio/opencolorio.SlackBuild
index d107fee9fe..7762f39c44 100644
--- a/graphics/opencolorio/opencolorio.SlackBuild
+++ b/graphics/opencolorio/opencolorio.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=opencolorio
SRCNAM=OpenColorIO
-VERSION=${VERSION:-2.1.1}
+VERSION=${VERSION:-2.1.2}
BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
diff --git a/graphics/opencolorio/opencolorio.info b/graphics/opencolorio/opencolorio.info
index 3f385b8ded..fed82c6e8f 100644
--- a/graphics/opencolorio/opencolorio.info
+++ b/graphics/opencolorio/opencolorio.info
@@ -1,8 +1,8 @@
PRGNAM="opencolorio"
-VERSION="2.1.1"
+VERSION="2.1.2"
HOMEPAGE="http://opencolorio.org/"
-DOWNLOAD="https://github.com/AcademySoftwareFoundation/OpenColorIO/archive/v2.1.1/OpenColorIO-2.1.1.tar.gz"
-MD5SUM="604f562e073f23d88ce89ed4f7f709ba"
+DOWNLOAD="https://github.com/AcademySoftwareFoundation/OpenColorIO/archive/v2.1.2/OpenColorIO-2.1.2.tar.gz"
+MD5SUM="e2e86dd3416726a058000ce4bdadb704"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="pybind11"
diff --git a/graphics/openimageio/openimageio.SlackBuild b/graphics/openimageio/openimageio.SlackBuild
index 5e006fcf98..a556bf69e8 100644
--- a/graphics/openimageio/openimageio.SlackBuild
+++ b/graphics/openimageio/openimageio.SlackBuild
@@ -26,7 +26,8 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=openimageio
SRCNAM=oiio-Release
-VERSION=${VERSION:-2.2.19.0}
+VERSION=${VERSION:-2.2.21.0}
+FMT=${FMT:-"fmt-7.1.3"}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -71,9 +72,16 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+tar xf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-$VERSION
+# Use private fmt
+mkdir -p ext
+cd ext
+tar xf $CWD/${FMT}.tar.gz
+ln -s $FMT fmt
+cd ..
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -88,6 +96,7 @@ cd build
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -std=c++11 -fcommon" \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_FMT_FORCE:BOOL=TRUE \
-DPYLIB_INCLUDE_SONAME:BOOL=TRUE \
-DPYLIB_LIB_PREFIX:BOOL=FALSE \
-DUSE_OPENJPEG:BOOL=FALSE \
diff --git a/graphics/openimageio/openimageio.info b/graphics/openimageio/openimageio.info
index 71f8d2f1e6..46b4d995d5 100644
--- a/graphics/openimageio/openimageio.info
+++ b/graphics/openimageio/openimageio.info
@@ -1,10 +1,12 @@
PRGNAM="openimageio"
-VERSION="2.2.19.0"
+VERSION="2.2.21.0"
HOMEPAGE="https://sites.google.com/site/openimageio/home"
-DOWNLOAD="https://github.com/OpenImageIO/oiio/archive/Release-2.2.19.0/oiio-Release-2.2.19.0.tar.gz"
-MD5SUM="bcef7161f04648cbb400d7a3bd66c549"
+DOWNLOAD="https://github.com/OpenImageIO/oiio/archive/Release-2.2.21.0/oiio-Release-2.2.21.0.tar.gz \
+ https://github.com/fmtlib/fmt/archive/7.1.3/fmt-7.1.3.tar.gz"
+MD5SUM="788954e30c7110dfb5a077a58f2ac3ab \
+ 2522ec65070c0bda0ca288677ded2831"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="opencolorio robin-map dcmtk tbb fmt hdf5"
+REQUIRES="opencolorio robin-map dcmtk tbb hdf5"
MAINTAINER="Christoph Willing"
EMAIL="chris.willing@linux.com"
diff --git a/graphics/pdf2png/README b/graphics/pdf2png/README
index df727b452a..866e73657c 100644
--- a/graphics/pdf2png/README
+++ b/graphics/pdf2png/README
@@ -1,15 +1,15 @@
-pdf2png converts PDF files to image format with a simple graphical
-interface based on python, using ghostscript.
+pdf2png converts PDF files to image format with a simple
+graphical interface based on python, using ghostscript.
-It supports up to 4 different image extensions like PNG, JPEG, BMP
+It supports up to 4 different image extensions like PNG, JPEG, BMP,
and TIFF.
How To-
Increasing or decreasing the resolution will change the image quality.
-Once given correct numbers for the From page and To page, click on
-Select PDF file to open a dialog window to browse and select the
-wanted PDF book, and click on Convert to convert the selected pages.
+Once given correct numbers for the From page and To page,
+click on Select PDF file to open a dialog window to browse and select
+the wanted PDF book, and click on Convert to convert the selected pages.
It would convert the pdf and output the image(s) in the same directory
where the pdf resides.
diff --git a/graphics/pdf2png/pdf2png.SlackBuild b/graphics/pdf2png/pdf2png.SlackBuild
index 520c94b3a9..63c23c022f 100644
--- a/graphics/pdf2png/pdf2png.SlackBuild
+++ b/graphics/pdf2png/pdf2png.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for pdf2png
-# Copyright 2014 Aaditya Bagga <aaditya_gnulinux@zoho.com>
+# Copyright 2014-2022 Aaditya Bagga <aaditya_gnulinux@zoho.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,14 +25,11 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=pdf2png
-VERSION=${VERSION:-0.5}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-0.5.3}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -59,9 +56,6 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Patch for using python3 in header
-sed -i 's|#!/usr/bin/python3|#!/usr/bin/python|' bin/$PRGNAM.py
-
make install DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/graphics/pdf2png/pdf2png.info b/graphics/pdf2png/pdf2png.info
index 5376403ab3..69a0e5a761 100644
--- a/graphics/pdf2png/pdf2png.info
+++ b/graphics/pdf2png/pdf2png.info
@@ -1,8 +1,8 @@
PRGNAM="pdf2png"
-VERSION="0.5"
+VERSION="0.5.3"
HOMEPAGE="https://github.com/aadityabagga/pdf2png"
-DOWNLOAD="https://github.com/aadityabagga/pdf2png/archive/0.5.tar.gz"
-MD5SUM="f7cb3d67d5acb978e6ce910dfd213937"
+DOWNLOAD="https://github.com/aadityabagga/pdf2png/archive/0.5.3.tar.gz"
+MD5SUM="473eb4da10a52eafe265831ff0f06ce7"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/graphics/pdf2png/slack-desc b/graphics/pdf2png/slack-desc
index e793ba64af..5c2d98379e 100644
--- a/graphics/pdf2png/slack-desc
+++ b/graphics/pdf2png/slack-desc
@@ -14,6 +14,6 @@ pdf2png:
pdf2png: It supports up to 4 different image extensions like PNG, JPEG,
pdf2png: BMP and TIFF.
pdf2png:
-pdf2png: Homepage: https://github.com/aadityabagga/pdf2png
+pdf2png: Homepage: https://github.com/abchk1234/pdf2png
pdf2png:
pdf2png:
diff --git a/graphics/rawtherapee-haldclut/README b/graphics/rawtherapee-haldclut/README
new file mode 100644
index 0000000000..1b4aafba64
--- /dev/null
+++ b/graphics/rawtherapee-haldclut/README
@@ -0,0 +1,6 @@
+rawtherapee-haldclut is a collection of LUT (Lookup Table) images that
+can be used for film simulation in RawTherapee or ART. The collection
+contains simulations of dozens of classic black-and-white and color
+films as well as several creative filters. To use them in RawTherapee or
+ART, set the HaldCLUT directory under Preferences -> Image Processing to
+/usr/share/rawtherapee-haldclut after installing.
diff --git a/graphics/rawtherapee-haldclut/rawtherapee-haldclut.SlackBuild b/graphics/rawtherapee-haldclut/rawtherapee-haldclut.SlackBuild
new file mode 100644
index 0000000000..8b91dfed42
--- /dev/null
+++ b/graphics/rawtherapee-haldclut/rawtherapee-haldclut.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/bash
+
+# Slackware build script for rawtherapee-haldclut
+
+# Copyright 2022 Daniel Prosser, Lexington Park, MD
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=rawtherapee-haldclut
+VERSION=${VERSION:-20150920}
+SRCNAM=HaldCLUT
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+unzip $CWD/$SRCNAM.zip
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -r Black-and-White Color $PKG/usr/share/$PRGNAM
+cp -a Hald_CLUT_Identity_12.tif Negative.png $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/rawtherapee-haldclut/rawtherapee-haldclut.info b/graphics/rawtherapee-haldclut/rawtherapee-haldclut.info
new file mode 100644
index 0000000000..90baabf51f
--- /dev/null
+++ b/graphics/rawtherapee-haldclut/rawtherapee-haldclut.info
@@ -0,0 +1,10 @@
+PRGNAM="rawtherapee-haldclut"
+VERSION="20150920"
+HOMEPAGE="https://bitbucket.org/agriggio/art/wiki/Home"
+DOWNLOAD="http://rawtherapee.com/shared/HaldCLUT.zip"
+MD5SUM="4742e362a70c1a1c0fb9042a17d285e1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Daniel Prosser"
+EMAIL="dpross1100@msn.com"
diff --git a/graphics/rawtherapee-haldclut/slack-desc b/graphics/rawtherapee-haldclut/slack-desc
new file mode 100644
index 0000000000..cae923b194
--- /dev/null
+++ b/graphics/rawtherapee-haldclut/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rawtherapee-haldclut: rawtherapee-haldclut (film simulation collection)
+rawtherapee-haldclut:
+rawtherapee-haldclut: rawtherapee-haldclut is a collection of LUT (Lookup Table) images that
+rawtherapee-haldclut: can be used for film simulation in RawTherapee or ART.
+rawtherapee-haldclut:
+rawtherapee-haldclut: Homepage: https://rawpedia.rawtherapee.com/Film_Simulation
+rawtherapee-haldclut:
+rawtherapee-haldclut:
+rawtherapee-haldclut:
+rawtherapee-haldclut:
+rawtherapee-haldclut:
diff --git a/graphics/ristretto/ristretto.SlackBuild b/graphics/ristretto/ristretto.SlackBuild
index bd6d60248d..74dac6cb54 100644
--- a/graphics/ristretto/ristretto.SlackBuild
+++ b/graphics/ristretto/ristretto.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for ristretto
-# Copyright 2015-2019 Aaditya Bagga <aaditya_gnulinux@zoho.com>
+# Copyright 2015-2022 Aaditya Bagga <aaditya_gnulinux@zoho.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=ristretto
-VERSION=${VERSION:-0.12.2}
+VERSION=${VERSION:-0.12.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +38,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -94,7 +91,7 @@ make install-strip DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- AUTHORS COPYING ChangeLog NEWS README.md TODO \
+ AUTHORS COPYING ChangeLog NEWS README.md \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/graphics/ristretto/ristretto.info b/graphics/ristretto/ristretto.info
index f62c805e48..820e0c4d8e 100644
--- a/graphics/ristretto/ristretto.info
+++ b/graphics/ristretto/ristretto.info
@@ -1,8 +1,8 @@
PRGNAM="ristretto"
-VERSION="0.12.2"
+VERSION="0.12.3"
HOMEPAGE="https://docs.xfce.org/apps/ristretto/start"
-DOWNLOAD="https://archive.xfce.org/src/apps/ristretto/0.12/ristretto-0.12.2.tar.bz2"
-MD5SUM="f42056310bfbc16d2657b502aa27719c"
+DOWNLOAD="https://archive.xfce.org/src/apps/ristretto/0.12/ristretto-0.12.3.tar.bz2"
+MD5SUM="7d3acd79dc51570468ef5c20fce07e64"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/graphics/scantailor-advanced/scantailor-advanced.SlackBuild b/graphics/scantailor-advanced/scantailor-advanced.SlackBuild
index 42809cd223..6adf4bf352 100644
--- a/graphics/scantailor-advanced/scantailor-advanced.SlackBuild
+++ b/graphics/scantailor-advanced/scantailor-advanced.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for scantailor-advanced
-# Copyright 2019, Alexander Verbovetsky, Moscow, Russia
+# Copyright 2019-2022, Alexander Verbovetsky, Moscow, Russia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=scantailor-advanced
-VERSION=${VERSION:-20200531_3d1e74e}
+VERSION=${VERSION:-1.0.18}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +38,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -70,7 +67,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -83,11 +80,11 @@ mkdir -p build
cd build
cmake -G "Unix Makefiles" \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -Wno-deprecated-declarations" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_BUILD_TYPE=Release ..
make
- make install DESTDIR=$PKG
+ make install/strip DESTDIR=$PKG
cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
diff --git a/graphics/scantailor-advanced/scantailor-advanced.info b/graphics/scantailor-advanced/scantailor-advanced.info
index 0358965e80..e8300600d0 100644
--- a/graphics/scantailor-advanced/scantailor-advanced.info
+++ b/graphics/scantailor-advanced/scantailor-advanced.info
@@ -1,8 +1,8 @@
PRGNAM="scantailor-advanced"
-VERSION="20200531_3d1e74e"
-HOMEPAGE="https://github.com/4lex4/scantailor-advanced"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/scantailor-advanced-20200531_3d1e74e.tar.xz"
-MD5SUM="61dfa53ca5f607aa03f4809a796cef08"
+VERSION="1.0.18"
+HOMEPAGE="https://github.com/vigri/scantailor-advanced"
+DOWNLOAD="https://github.com/vigri/scantailor-advanced/archive/v1.0.18/scantailor-advanced-1.0.18.tar.gz"
+MD5SUM="b329669d87b56da73385c92d765bd167"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/graphics/scantailor-advanced/slack-desc b/graphics/scantailor-advanced/slack-desc
index 6e56222d78..8264f39bc3 100644
--- a/graphics/scantailor-advanced/slack-desc
+++ b/graphics/scantailor-advanced/slack-desc
@@ -13,7 +13,7 @@ scantailor-advanced:
scantailor-advanced:
scantailor-advanced:
scantailor-advanced:
-scantailor-advanced: Homepage: https://github.com/4lex4/scantailor-advanced
+scantailor-advanced: Homepage: https://github.com/vigri/scantailor-advanced
scantailor-advanced:
scantailor-advanced:
scantailor-advanced:
diff --git a/graphics/synfig/README b/graphics/synfig/README
new file mode 100644
index 0000000000..9eefa71e6c
--- /dev/null
+++ b/graphics/synfig/README
@@ -0,0 +1,8 @@
+Synfig (Professional vector animation program, CLI)
+
+Synfig is a free and open-source 2D animation software,
+designed as powerful industrial-strength solution for creating
+film-quality animation using a vector and bitmap artwork. It
+eliminates the need to create animation frame-by frame, allowing
+you to produce 2D animation of a higher quality with fewer people
+and resources.
diff --git a/graphics/synfig/slack-desc b/graphics/synfig/slack-desc
new file mode 100644
index 0000000000..2e675f62fc
--- /dev/null
+++ b/graphics/synfig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+synfig: synfig (Professional vector animation program, CLI)
+synfig:
+synfig: Synfig is a free and open-source 2D animation software,
+synfig: designed as powerful industrial-strength solution for creating
+synfig: film-quality animation using a vector and bitmap artwork. It
+synfig: eliminates the need to create animation frame-by frame, allowing you
+synfig: to produce 2D animation of a higher quality with fewer people and
+synfig: resources.
+synfig:
+synfig: Home page: https://www.synfig.org
+synfig:
diff --git a/graphics/synfig/synfig.SlackBuild b/graphics/synfig/synfig.SlackBuild
new file mode 100644
index 0000000000..03b97ebdfb
--- /dev/null
+++ b/graphics/synfig/synfig.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/bash
+
+# Slackware build script for <synfig>
+
+# Copyright 2020, Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=synfig
+VERSION=${VERSION:-1.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --with-imagemagick \
+ --with-magickpp \
+ --with-libavcodec \
+ --with-libav \
+ --with-ffmpeg \
+ --build=$ARCH-slackware-linux
+
+make $JOBS
+make install DESTDIR=$PKG
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/synfig/synfig.info b/graphics/synfig/synfig.info
new file mode 100644
index 0000000000..70a83765a5
--- /dev/null
+++ b/graphics/synfig/synfig.info
@@ -0,0 +1,10 @@
+PRGNAM="synfig"
+VERSION="1.5.1"
+HOMEPAGE="https://www.synfig.org/"
+DOWNLOAD="https://github.com/synfig/synfig/releases/download/v1.5.1/synfig-1.5.1.tar.gz"
+MD5SUM="8e14f0e4809e17367fdc7c7fe92ed0a4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libxml++ libdv ETL"
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/graphics/synfigstudio/README b/graphics/synfigstudio/README
new file mode 100644
index 0000000000..d997b560e2
--- /dev/null
+++ b/graphics/synfigstudio/README
@@ -0,0 +1,8 @@
+Synfig Studio (Professional vector animation program, GUI)
+
+Synfig Studio is a free and open-source 2D animation software,
+designed as powerful industrial-strength solution for creating
+film-quality animation using a vector and bitmap artwork. It
+eliminates the need to create animation frame-by frame, allowing
+you to produce 2D animation of a higher quality with fewer
+people and resources.
diff --git a/graphics/synfigstudio/doinst.sh b/graphics/synfigstudio/doinst.sh
new file mode 100644
index 0000000000..512d088aa2
--- /dev/null
+++ b/graphics/synfigstudio/doinst.sh
@@ -0,0 +1,3 @@
+/usr/bin/update-mime-database -n /usr/share/mime 1> /dev/null 2> /dev/null
+/usr/bin/gtk-update-icon-cache /usr/share/icons 1> /dev/null 2> /dev/null
+/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
diff --git a/graphics/synfigstudio/douninst.sh b/graphics/synfigstudio/douninst.sh
new file mode 100644
index 0000000000..dcf26cbc36
--- /dev/null
+++ b/graphics/synfigstudio/douninst.sh
@@ -0,0 +1 @@
+/usr/bin/update-mime-database /usr/share/mime
diff --git a/graphics/synfigstudio/slack-desc b/graphics/synfigstudio/slack-desc
new file mode 100644
index 0000000000..a82ad11e84
--- /dev/null
+++ b/graphics/synfigstudio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+synfigstudio: synfigstudio (Synfig Studio - Professional vector animation program)
+synfigstudio:
+synfigstudio: Synfig Studio is a free and open-source 2D animation software,
+synfigstudio: designed as powerful industrial-strength solution for creating
+synfigstudio: film-quality animation using a vector and bitmap artwork. It
+synfigstudio: eliminates the need to create animation frame-by frame, allowing you
+synfigstudio: to produce 2D animation of a higher quality with fewer people and
+synfigstudio: resources.
+synfigstudio:
+synfigstudio: Home page: https://www.synfig.org
+synfigstudio:
diff --git a/graphics/synfigstudio/synfigstudio.SlackBuild b/graphics/synfigstudio/synfigstudio.SlackBuild
new file mode 100644
index 0000000000..10b55c9ea3
--- /dev/null
+++ b/graphics/synfigstudio/synfigstudio.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/bash
+
+# Slackware build script for <synfigstudio>
+
+# Copyright 2020, Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=synfigstudio
+VERSION=${VERSION:-1.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --with-libavcodec --with-libdv \
+ --localstatedir=/var \
+ --disable-static \
+ --with-imagemagick \
+ --with-magickpp \
+ --with-libavcodec \
+ --with-libav \
+ --with-ffmpeg \
+ --build=$ARCH-slackware-linux
+
+make $JOBS
+make install DESTDIR=$PKG
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/douninst.sh > $PKG/install/douninst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/synfigstudio/synfigstudio.info b/graphics/synfigstudio/synfigstudio.info
new file mode 100644
index 0000000000..4d9838df76
--- /dev/null
+++ b/graphics/synfigstudio/synfigstudio.info
@@ -0,0 +1,10 @@
+PRGNAM="synfigstudio"
+VERSION="1.5.1"
+HOMEPAGE="https://www.synfig.org/"
+DOWNLOAD="https://github.com/synfig/synfig/releases/download/v1.5.1/synfigstudio-1.5.1.tar.gz"
+MD5SUM="49390c6bca7f78ebb7cc0e1d00710f4e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ETL synfig"
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/graphics/tuxpaint/README b/graphics/tuxpaint/README
index 61289d88b4..8d4a427dac 100644
--- a/graphics/tuxpaint/README
+++ b/graphics/tuxpaint/README
@@ -9,8 +9,9 @@ and has entertaining, child-oriented additions such as sound effects.
tuxpaint-config is now also included as a gui tool to configure
tuxpaint.
-Note: Please uninstall inkscape before creating this package to avoid
-a couple of file artifacts outside the package directory. inkscape can
-be reinstalled once this package is created.
+Note: Please uninstall inkscape before creating this package if you
+want to avoid a couple of file artifacts outside the package directory.
+inkscape can be reinstalled once this package is created.
This is the sdl2 version of the program. Note: dependencies have changed
+note: this build update (3) is needed for using SDL2_Pango>0.9.0
diff --git a/graphics/tuxpaint/tuxpaint.SlackBuild b/graphics/tuxpaint/tuxpaint.SlackBuild
index 5c3bd40acb..6bc864e373 100644
--- a/graphics/tuxpaint/tuxpaint.SlackBuild
+++ b/graphics/tuxpaint/tuxpaint.SlackBuild
@@ -13,13 +13,14 @@
# - stop spamming the real /usr (ugh).
# 20220610 tim dickson: updated to 0.9.28 . sticking with sdl1 version for now
# 20220629 tim dickson: changed to the sdl2 version
+# 20220820 tim dickson: added patch to work with newer SDL2_Pango. should be fixed upstream in next release
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=tuxpaint
VERSION=${VERSION:-0.9.28}
CONFVER=${CONFVER:-0.0.19}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -79,6 +80,10 @@ mkdir trans
# using the xdg-icon-resource and xdg-desktop-menu tools: these don't
# support DESTDIR or any other way to control where the files get
# installed (meaning they install to the real /usr, not $PKG/usr).
+
+#patch to fix working with newer SDL2_Pango. remove for next version update
+patch <$CWD/tuxpaint_SDL2_Pango.patch
+
sed -i '/^linux_ARCH_INSTALL/s,install-xdg ,,' Makefile
make PREFIX=/usr LIBDIRSUFFIX=$LIBDIRSUFFIX OPTFLAGS="$SLKCFLAGS"
diff --git a/graphics/tuxpaint/tuxpaint_SDL2_Pango.patch b/graphics/tuxpaint/tuxpaint_SDL2_Pango.patch
new file mode 100644
index 0000000000..11011b49fe
--- /dev/null
+++ b/graphics/tuxpaint/tuxpaint_SDL2_Pango.patch
@@ -0,0 +1,19 @@
+--- a/Makefile
++++ b/Makefile
+@@ -294,6 +294,7 @@
+
+ # SDL Pango is needed to render complex scripts like Thai and Arabic
+ SDL2_PANGO_LIB:=$(call linktest,SDL2_Pango,-lSDL2_Pango,$(SDL_LIBS))
++SDL2_PANGO_CFLAGS:=$(shell $(PKG_CONFIG) --cflags SDL2_Pango)
+ NOPANGOFLAG:=$(if $(SDL2_PANGO_LIB),,-DNO_SDLPANGO$(warning -lSDL2_Pango failed, no scripts for you!))
+
+ SDL_LIBS+=$(SDL_MIXER_LIB) $(SDL2_PANGO_LIB)
+@@ -341,6 +342,7 @@
+ -Waggregate-return \
+ -Wstrict-prototypes -Wmissing-prototypes \
+ $(shell src/test-option.sh -Wstrict-aliasing=2) \
++ $(SDL2_PANGO_CFLAGS) \
+ $(ARCH_CFLAGS)
+
+ DEFS:=-DVER_DATE=\"$(VER_DATE)\" -DVER_VERSION=\"$(VER_VERSION)\" \
+
diff --git a/graphics/vuescan/vuescan.SlackBuild b/graphics/vuescan/vuescan.SlackBuild
index 4e3176f294..aa069195b4 100644
--- a/graphics/vuescan/vuescan.SlackBuild
+++ b/graphics/vuescan/vuescan.SlackBuild
@@ -27,9 +27,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=vuescan
-VERSION=${VERSION:-9.7.90}
+VERSION=${VERSION:-9.7.92}
SRCVER=${SRCVER:-$(echo "$VERSION" | cut -d. -f-2 | sed 's/\.//g')}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
diff --git a/graphics/vuescan/vuescan.info b/graphics/vuescan/vuescan.info
index 00a2daf951..8adae003cc 100644
--- a/graphics/vuescan/vuescan.info
+++ b/graphics/vuescan/vuescan.info
@@ -1,10 +1,10 @@
PRGNAM="vuescan"
-VERSION="9.7.90"
+VERSION="9.7.92"
HOMEPAGE="https://www.hamrick.com"
DOWNLOAD="https://d2bwyyzfw77fhf.cloudfront.net/vuex3297.tgz"
-MD5SUM="b83ee8ba09583435dbc2482cddabdecc"
+MD5SUM="1cf4f1aabd2ccce90e5ee9668c4ab5f1"
DOWNLOAD_x86_64="https://d2bwyyzfw77fhf.cloudfront.net/vuex6497.tgz"
-MD5SUM_x86_64="8cf2c24135099f85f2d42080534cccbc"
+MD5SUM_x86_64="4706166207b5fc9941f697551be796a1"
REQUIRES=""
MAINTAINER="Andrew Clemons"
EMAIL="andrew.clemons@gmail.com"
diff --git a/graphics/yacreader/yacreader.SlackBuild b/graphics/yacreader/yacreader.SlackBuild
index 0d6bda71e1..2887e41c12 100644
--- a/graphics/yacreader/yacreader.SlackBuild
+++ b/graphics/yacreader/yacreader.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for yacreader
-# Copyright 2016-2020 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# Copyright 2016-2022 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=yacreader
-VERSION=${VERSION:-9.8.2.2106195}
+VERSION=${VERSION:-9.9.1.2209046}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
diff --git a/graphics/yacreader/yacreader.info b/graphics/yacreader/yacreader.info
index 2476d3ae77..0da9387a2e 100644
--- a/graphics/yacreader/yacreader.info
+++ b/graphics/yacreader/yacreader.info
@@ -1,8 +1,8 @@
PRGNAM="yacreader"
-VERSION="9.8.2.2106195"
+VERSION="9.9.1.2209046"
HOMEPAGE="https://www.yacreader.com"
-DOWNLOAD="https://github.com/YACReader/yacreader/releases/download/9.8.2/yacreader-9.8.2.2106195-src.tar.xz"
-MD5SUM="0ee491c4bdfe2425d5c38ab56701998b"
+DOWNLOAD="https://github.com/YACReader/yacreader/releases/download/9.9.1/yacreader-9.9.1.2209046-src.tar.xz"
+MD5SUM="ac58432fffa77945e269cf4c69f19034"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="unarr"